Package: groovy.org.codenarc.rule.design

## [Groovy] Class BuilderMethodWithSideEffectsRule

- groovy.org.codenarc.rule.design.BuilderMethodWithSideEffectsRule

- A builder method is defined as one that creates objects. As such, they should never be of void return type. If a method is named build, create, or make, then it should always return a value.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `methodNameRegex`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String methodNameRegex

    - #### String name

    - #### int priority